Subject: RE: 2.6.23-rc3 boot hang on MPC8641D

From: sivaji <[email-masked]>
Date: Fri, 14 Sep 2007 07:25:57 -0700 (PDT)

Hi Zhang,
                Asper ur idea, i downloaded latest BSP(Jun,2007) and the 
kernel (2.6.23-rc4) from the Paul's Git tree. 
Uboot(1.2.0) was taken from the latest BSP. I portted the new uboot to my
custom board, i got uboot prompt.

When i compiling the kernel i got following warning messages
WARNING: vmlinux.o(.text+0x169f6): Section mismatch: reference to
.init.data:boot_command_line (between 'note_bootable_part' and
'pmac_restart')
WARNING: vmlinux.o(.text+0x16a02): Section mismatch: reference to
.init.data:boot_command_line (between 'note_bootable_part' and
'pmac_restart')
WARNING: vmlinux.o(.text+0x16a12): Section mismatch: reference to
.init.data:boot_command_line (between 'note_bootable_part' and
'pmac_restart') 

               When i try to boot the kernel, I got following messages

  Booting image at 00200000 ...
   Image Name:   Linux-2.6.23-rc4-g5326152f-dirty
   Image Type:   PowerPC Linux Kernel Image (gzip compressed)
   Data Size:    1842307 Bytes =  1.8 MB
   Load Address: 00000000
   Entry Point:  00000000
   Verifying Checksum ... OK
   Uncompressing Kernel Image ... OK
   Booting using flat device tree at 0x600000

              I can't know whether the problem is related to uboot or
kernel. But i tested the board with the 2.6.21 kernel, it was up.In that
kernel we face some issues on PCI Express so we plan to upgrade the kernel.
But the latest kernel was not up.
Please advice me.
    
By
Sivaji 

Zhang Wei-r63237 wrote:
> 
> Hi, Sivaji,
> 
> I've tested the newest git tree of Paul's, which is aleady updated to
> 2.6.23-rc4. The kernel is no problem with the u-boot of our released BSP
> (Jun, 2007) on MPC8641HPCN board.
> 
> Maybe you could update to the newest kernel git tree and try again.
> 
> Cheers!
> -zw
> 
>> -----Original Message-----
>> From: linuxppc-dev-bounces+wei.zhang=[email-masked] 
>> [mailto:linuxppc-dev-bounces+wei.zhang=[email-masked]
>> g] On Behalf Of sivaji
>> Sent: Thursday, September 13, 2007 1:32 PM
>> To: [email-masked]
>> Subject: RE: 2.6.23-rc3 boot hang on MPC8641D
>> 
>> 
>> Hi,
>>           Sorry i specify the wrong version, we r using 
>> 1.2.0. This uboot
>> was taken from the BSP which was released by Freescale. 
>> Previously we tested
>> linux 2.6.21 kernel, we got linux prompt. For this we are 
>> using the same
>> uboot(1.2.0).
>> In that version we face some issues in the pci express, at 
>> that time kumar
>> suggest to upgrade the kernel verison 2.6.23-rc3.
>> Zhang did u suspect the problem is related to uboot?.
>> by
>> sivaji
>> 
>> 
>> Zhang Wei-r63237 wrote:
>> > 
>> > Yes, It's too old. Maybe not fully supports FDT. You can 
>> try the version
>> > of Kumar said or in the BSP of Freescale released.
>> > 
>> > - zw
>> > 
>> >> -----Original Message-----
>> >> From: linuxppc-dev-bounces+wei.zhang=[email-masked] 
>> >> [mailto:linuxppc-dev-bounces+wei.zhang=[email-masked]
>> >> g] On Behalf Of Kumar Gala
>> >> Sent: Thursday, September 13, 2007 1:11 PM
>> >> To: sivaji
>> >> Cc: [email-masked]
>> >> Subject: Re: 2.6.23-rc3 boot hang on MPC8641D
>> >> 
>> >> 
>> >> On Sep 12, 2007, at 11:52 PM, sivaji wrote:
>> >> 
>> >> >
>> >> >
>> >> > Hi,
>> >> >           I tired to move the dtb to 0x2000000, but the 
>> result was  
>> >> > same.
>> >> > uboot version is 1.1.6
>> >> 
>> >> seems like a pretty old u-boot.  Willing to try a 1.3.0-rc1?
>> >> 
>> >> - k
>> >> _______________________________________________
>> >> Linuxppc-dev mailing list
>> >> [email-masked]
>> >> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>> >> 
>> > _______________________________________________
>> > Linuxppc-dev mailing list
>> > [email-masked]
>> > https://ozlabs.org/mailman/listinfo/linuxppc-dev
>> > 
>> > 
>> 
>> -- 
>> View this message in context: 
>> http://www.nabble.com/2.6.23-rc3-boot-hang-on-MPC8641D-tf44335
>> 08.html#a12648963
>> Sent from the linuxppc-dev mailing list archive at Nabble.com.
>> 
>> _______________________________________________
>> Linuxppc-dev mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 
> 

-- 
View this message in context: http://www.nabble.com/2.6.23-rc3-boot-hang-on-MPC8641D-tf4433508.html#a12676464
Sent from the linuxppc-dev mailing list archive at Nabble.com.